Rooms Webhooks
- OpenAPI Version:
3.1.1 - API Version:
1.0.0
The Zoom Rooms webhooks allow developers to receive events for Zoom Rooms features.
Servers
- URL:
https://{your-endpoint-url}
Operations
visitor_management.checked_out
- Method:
POST - Path:
visitor_management.checked_out - Tags: Visitor Management
The Visitor Management Checked Out event is triggered when a visitor checks out.
Prerequisites
- The Visitor Management feature enabled by your organization.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Visitor Management Checked Out subscription enabled under the Visitor Management event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp when the event occurred.payload(required)objectaccount_id(required)string— The host user account ID.object(required)object— Information about the checked out invitation.end_time(required)— The epoch timestamp representing end time of the invitation.
host_email(required)string— The email address of the invitation host.host_id(required)string— The user ID of the invitation host.host_name(required)string— The name of the invitation host.invite_location_id(required)string— The location ID of the location to which the visitor is invited to.start_time(required)— The epoch timestamp representing the start time of the invitation.
visitor_email(required)string— The email address of the invited visitor.visitor_name(required)string— The name of the invited visitor.
operator(required)string, format:email— The email address of the host.operator_id(required)string— The user ID of the host.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"visitor_email": "",
"visitor_name": "",
"start_time": null,
"end_time": null,
"invite_location_id": "",
"host_id": "",
"host_name": "",
"host_email": ""
}
}
}Responses
Status: 200 Successfully received the webhook event.
workspace.user_unassigned
- Method:
POST - Path:
workspace.user_unassigned - Tags: Workspaces
The Workspace User Unassigned event is triggered every time a user is unassigned from a Workspace in your account. Admins and account owners can unassign a user from Workspace in you account. The Workspace can be unassign users using the Delete a desk assignment API or by deleting the Workspace' assignment using the Zoom Web Portal itself.
Prerequisites
- The Workspace Reservation feature enabled by your organization through a Zoom Rooms license, Zoom Phone Common Area Phone license or Workspace Reservation license.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Workspace User Unassigned subscription enabled under the Workspace event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)string, format:date-time— A timestamp when the event occurred.payload(required)objectaccount_id(required)string— The workspace account ID.object(required)object— Information about the user unassigned when unassign a user from a workspace.account_id(required)string— The belong's account id of assigned user.assign_type(required)string, possible values:"permanent"— The type of assign before unassign.user_id(required)string— The id of assigned user.workspace_id(required)string— The workspace's ID.workspace_name(required)string— The workspace's name.
operator(required)string, format:email— The email address of the user that updated the assignment.operator_id(required)string— The user ID of the user that updated the assignment.
Example:
{
"event": "",
"event_ts": "",
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"workspace_id": "",
"workspace_name": "",
"account_id": "",
"user_id": "",
"assign_type": "permanent"
}
}
}Responses
Status: 200 Successfully received the webhook event.
workspace.reservation_questionnaire_response_created
- Method:
POST - Path:
workspace.reservation_questionnaire_response_created - Tags: Workspaces
The Workspace reservation questionnaire created event is triggered every time when a questionnaire is submitted as a part of workspace reservation. Admin and Users can create a workspace reservation and submit a questionnaire during the reservation creation process.
Prerequisites
- The Workspace Reservation feature enabled by your organization through a Zoom Rooms license, Zoom Phone Common Area Phone license or Workspace Reservation license.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Workspace reservation questionnaire created subscription enabled under the Workspace event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)string, format:date-time— A timestamp when the event occurred.payload(required)objectaccount_id(required)string— The workspace account ID.object(required)object— Information about the questionnaire when creating a reservation for a workspace.desk_id(required)string— The desk ID.event_id(required)string— The event ID.location_id(required)string— The location ID.questionnaire_response(required)array— List of questionnaires.Items: id(required)string— The view ID.list(required)array— List of questions in the questionnaire.Items: options(required)array— List of options for multiple-choice questions.Items: option_id(required)string— The option ID.text(required)string— The text of the option.
question_id(required)string— The question ID.reply_id(required)string— The reply ID.title(required)string— The title of the question.type(required)string— The type of the question (single-choice, multiple-choice, open-text).
subject(required)string— The subject of the questionnaire.title(required)string— The title of the questionnaire.
start_time(required)string, format:date-time— The start time of the workspace reservation.user_name(required)string— The user name.workspace_name(required)string— The name of the workspace.
operator(required)string, format:email— The email address of the user that completed the questionnaire.operator_id(required)string— The user ID of the user that completed the questionnaire.
Example:
{
"event": "",
"event_ts": "",
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"start_time": "",
"event_id": "",
"user_name": "",
"desk_id": "",
"workspace_name": "",
"location_id": "",
"questionnaire_response": [
{
"id": "",
"title": "",
"subject": "",
"list": [
{
"question_id": "",
"title": "",
"type": "",
"reply_id": "",
"options": [
{
"option_id": "",
"text": ""
}
]
}
]
}
]
}
}
}Responses
Status: 200 Successfully received the webhook event.
zoomroom.sensor_data
- Method:
POST - Path:
zoomroom.sensor_data - Tags: Zoom Rooms
The Zoom Room Sensor Data event triggers every five minutes when a Zoom Room device sensor reports data.
Prerequisites
- A Business or Enterprise plan.
- The ability to detect the room air conditions, a feature available with Zoom Rooms version 5.5.0 or later. Not supported for Mac and Windows Zoom Rooms or Windows Controller.
- Count the number of people in room: available on Zoom Rooms clients versions 5.5.0 (Windows), 5.5.0 (Mac), 5.6.6 (Android), 5.5.0 (iOS Controller), 5.5.0 (Android Controller) or later.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Zoom Room Sensor Data subscription enabled under the Zoom Room event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp when the event occurred.payload(required)objectaccount_id(required)string— The Zoom Room account ID.object(required)object— Information about the Zoom Room.device_id(required)string— The device ID.id(required)string— The Zoom Room ID.room_name(required)string— The Zoom Room name.sensor_data(required)array— Information about the sensor data.Items: date_time(required)string, format:datetime— The time when the sensor data was reported.sensor_type(required)string, possible values:"CO2", "TEMPERATURE", "REAL_TIME_PEOPLE_COUNT", "HUMIDITY", "VOC", "AQI", "PM25", "PM10", "AIR_PRESSURE"— The sensor type.sensor_value(required)string— The sensor value.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"id": "",
"room_name": "",
"device_id": "",
"sensor_data": [
{
"date_time": "2022-06-19T00:00:00Z",
"sensor_type": "CO2",
"sensor_value": ""
}
]
}
}
}Responses
Status: 200 Successfully received the webhook event.
visitor_management.invitation_deleted
- Method:
POST - Path:
visitor_management.invitation_deleted - Tags: Visitor Management
The Visitor Management Invitation Deleted event is triggered when an invitation is deleted.
Prerequisites
- The Visitor Management feature enabled by your organization.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Visitor Management Invitation Deleted subscription enabled under the Visitor Management event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp when the event occurred.payload(required)objectaccount_id(required)string— The user account ID.object(required)object— Information about the deleted invitation.host_email(required)string— The email address of the invitation host.host_id(required)string— The user ID of the invitation host.host_name(required)string— The name of the invitation host.invite_location_id(required)string— The location ID of the location to which the visitor is invited to.visitor_email(required)string— The email address of the invited visitor.visitor_name(required)string— The name of the invited visitor.
operator(required)string, format:email— The email address of the user that deleted the invitation.operator_id(required)string— The user ID of the user that deleted the invitation.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"visitor_email": "",
"visitor_name": "",
"invite_location_id": "",
"host_id": "",
"host_name": "",
"host_email": ""
}
}
}Responses
Status: 200 Successfully received the webhook event.
zoomroom.alert
- Method:
POST - Path:
zoomroom.alert - Tags: Zoom Rooms
The Zoom Room Alert event is triggered when there is an issue with a Zoom Room on a Zoom account that has installed your webhook-enabled app. Some of the issues that can trigger this event are:
- High CPU usage.
- Low battery, charging, and/or connection issues in a Zoom Room device.
- Room controller, camera, or speaker disconnections or reconnections.
- Missing camera or microphone.
It is recommended that you only subscribe to either the Zoom Room Alert event or the Zoom Room Delayed Alert event to avoid receiving duplicate event notifications.
Prerequisites
- A Business or Enterprise plan.
- The administrator or account owner must enable the Zoom Room Alert feature with the selected alerts in the Zoom Web Portal.
- The Zoom Room version must be 3.5.24524.0821 and higher.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Zoom Room Alert subscription enabled under the Zoom Room event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— The timestamp when the event occurred.payload(required)objectaccount_id(required)string— The Zoom Room account ID.object(required)object— Information about the Zoom Room.alert_kind(required)integer, possible values:1, 2, 3, 4— The kind of alert: * `1` — Triggered. There was an encountered problem. When the problem is resolved, a follow-up response will contain this field with the `2` (Cleared) value. * `2` — Cleared. The problem is resolved. * `3` — Observed. There is a potential issue-causing condition. If the issue is cleared (`2`), there will **not** be a follow-up response. * `4` - Other`.alert_time(required)integer, format:int64— The timestamp when the alert occurred.alert_type(required)integer, possible values:1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 0— The type of alert sent: * `1` — The controller or scheduling display disconnected. * `2` — The selected microphone, speaker, or camera has disconnected * `3` — The Zoom Room is offline. * `4` — High CPU usage detected. * `5` — Low network bandwidth detected. * `6` — The controller or scheduling display battery is low. * `7` — The Zoom Rooms display is disconnected. * `8` — The audio device has quality issues * `9` — Failed SIP registration * `10` — Incorrect room passcode entry detected * `0` — Other alert.calendar_name(required)string— The calendar's name.component(required)integer, possible values:1, 2, 3, 4, 5, 6, 0— The affected component: * `1` — Zoom Rooms Computer * `2` — Controller * `3` — Scheduling Display * `4` — Microphone * `5` — Camera * `6` — Speaker * `0` - Other.email(required)string, format:email— The Zoom Room's associated email address.id(required)string— The Zoom Room's unique ID.issue(required)string— The issues that occurred during the meeting: * `Room Controller disconnected` * `Room Controller connected` * `Selected camera has disconnected` * `Selected camera is reconnected` * `Selected microphone has disconnected` * `Selected microphone is reconnected` * `Selected speaker has disconnected` * `Selected speaker is reconnected` * `Zoom room is offline` * `Zoom room is online` * `High CPU usage is detected` * `Low bandwidth network is detected` * `{name} battery is low` * `{name} battery is normal` * `{name} disconnected` * `{name} connected` `Incorrect Room Passcode Entry Detected` The possible values for `{name}` are: * Zoom Rooms Computer * Controller * Scheduling Display *.room_name(required)string— The Zoom Room's name.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"id": "",
"room_name": "",
"calendar_name": "",
"email": "",
"issue": "",
"alert_type": 1,
"component": 1,
"alert_time": 1,
"alert_kind": 1
}
}
}Responses
Status: 200 Successfully received the webhook event.
workspace.reservation_questionnaire_response_updated
- Method:
POST - Path:
workspace.reservation_questionnaire_response_updated - Tags: Workspaces
The Workspace reservation questionnaire updated event is triggered every time a questionnaire is updated. Users or Admins can update the questionnaire by updating the existing reservation.
Prerequisites
- The Workspace Reservation feature enabled by your organization through a Zoom Rooms license, Zoom Phone Common Area Phone license or Workspace Reservation license.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Workspace reservation questionnaire updated subscription enabled under the Workspace event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)string, format:date-time— A timestamp when the event occurred.payload(required)objectaccount_id(required)string— The workspace account ID.object(required)object— Information about the questionnaire when creating a reservation for a workspace.desk_id(required)string— The desk ID.event_id(required)string— The event ID.location_id(required)string— The location ID.questionnaire_response(required)array— List of questionnaires.Items: id(required)string— The view ID.list(required)array— List of questions in the questionnaire.Items: options(required)array— List of options for multiple-choice questions.Items: option_id(required)string— The option ID.text(required)string— The text of the option.
question_id(required)string— The question ID.reply_id(required)string— The reply ID.title(required)string— The title of the question.type(required)string— The type of the question (single-choice, multiple-choice, open-text).
subject(required)string— The subject of the questionnaire.title(required)string— The title of the questionnaire.
start_time(required)string, format:date-time— The start time of the workspace reservation.user_name(required)string— The user name.workspace_name(required)string— The name of the workspace.
operator(required)string, format:email— The email address of the user that completed the questionnaire.operator_id(required)string— The user ID of the user that completed the questionnaire.
Example:
{
"event": "",
"event_ts": "",
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"start_time": "",
"event_id": "",
"user_name": "",
"desk_id": "",
"workspace_name": "",
"location_id": "",
"questionnaire_response": [
{
"id": "",
"title": "",
"subject": "",
"list": [
{
"question_id": "",
"title": "",
"type": "",
"reply_id": "",
"options": [
{
"option_id": "",
"text": ""
}
]
}
]
}
]
}
}
}Responses
Status: 200 Successfully received the webhook event.
workspace.reservation_update
- Method:
POST - Path:
workspace.reservation_update - Tags: Workspaces
The Workspace Reservation Updated event is triggered when a user updates their Workspace reservation.
Prerequisites
- The Workspace Reservation feature enabled by your organization through a Zoom Rooms license.
- The Zoom mobile app. This is required for QR code scanning:
- Android version 5.9.0.3502 or higher
- iOS version 5.9.0 or higher
- Zoom Rooms for Touch devices, version 5.9.0 or higher (Optional).
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Workspace Reservation Updated subscription enabled under the Workspace Reservation event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred.payload(required)objectaccount_id(required)string— The workspace account ID.object(required)object— Information about the workspace reservation.end_time(required)string, format:date-time— The reservation's end time.id(required)string— The reservation ID.start_time(required)string, format:date-time— The reservation's start time.topic(required)string— The reservation's description.workspace_id(required)string— The workspace ID.reserve_forstring— The ID of the user for whom to create a workspace reservation.
operator(required)string, format:email— The email address of the user that updated the reservation.operator_id(required)string— The user ID of the user that updated the reservation.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"id": "",
"workspace_id": "",
"end_time": "",
"start_time": "",
"topic": "",
"reserve_for": "KDcuGIm1QgePTO8WbOqwIQ"
}
}
}Responses
Status: 200 Successfully received the webhook event.
workspace.user_assigned
- Method:
POST - Path:
workspace.user_assigned - Tags: Workspaces
The Workspace User Assigned event is triggered every time a user is assigned to a Workspace in your account. Admins and account owners can assign a user to Workspace in you account. The Workspace can be assign users using the Set a desk assignment API or by set the Workspace' assignment using the Zoom Web Portal itself.
Prerequisites
- The Workspace Reservation feature enabled by your organization through a Zoom Rooms license, Zoom Phone Common Area Phone license or Workspace Reservation license.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Workspace User Assigned subscription enabled under the Workspace event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)string, format:date-time— A timestamp when the event occurred.payload(required)objectaccount_id(required)string— The workspace account ID.object(required)object— Information about the assignment when updating assignment of a workspace.account_id(required)string— The belong's account id of assigned user.assign_type(required)string, possible values:"permanent"— The type of assignment.user_email(required)string— The email of assigned user.user_id(required)string— The id of assigned user.workspace_id(required)string— The workspace's ID.workspace_name(required)string— The workspace's name.
operator(required)string, format:email— The email address of the user that updated the assignment.operator_id(required)string— The user ID of the user that updated the assignment.
Example:
{
"event": "",
"event_ts": "",
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"workspace_id": "",
"workspace_name": "",
"assign_type": "permanent",
"account_id": "",
"user_id": "",
"user_email": ""
}
}
}Responses
Status: 200 Successfully received the webhook event.
zoomroom.digital_signage_app_ended
- Method:
POST - Path:
zoomroom.digital_signage_app_ended - Tags: Zoom Rooms
The Zoom Room digital signage play ended event triggers when the digital signage finishes playing or showing.
Prerequisites
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Zoom Room digital signage app ended subscription enabled under the Zoom Room event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— The timestamp when the event occurred.payload(required)objectaccount_id(required)string— The Zoom Room account ID.object(required)object— The information on the digital signage played in a Zoom Room.app_id(required)string— The app ID.app_name(required)string— The app name.end_time(required)string, format:datetime— The playback end time of the digital signage.room_id(required)string— The Zoom Room ID.start_time(required)string, format:datetime— The playback start time of the digital signage.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"room_id": "",
"app_name": "",
"app_id": "",
"start_time": "2022-06-19T00:00:00Z",
"end_time": "2022-06-19T00:00:00Z"
}
}
}Responses
Status: 200 Successfully received the webhook event.
zoomroom.checked_in
- Method:
POST - Path:
zoomroom.checked_in - Tags: Zoom Rooms
The Zoom Room Checked In event is triggered when a user checks in to confirm that they will be using the Zoom Room for a certain period of time.
Users can check in manually via the Zoom Room controller or they can check in programmatically using the Check-in or check-out of a Zoom Room API. Users can also check in to the Zoom Room by starting a scheduled meeting, using the whiteboard feature or making a phone call from the Zoom Room.
Note Only scheduled meetings will trigger a webhook.
Prerequisites
- The administrator or account owner must enable the Room Check-In and Check-Out feature.
- The Zoom Room version must be 4.1.27694.0702 or higher.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Zoom Room Checked In subscription enabled under the Zoom Room event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred.payload(required)objectaccount_id(required)string— The Zoom Room account ID.object(required)object— Information about the Zoom Room.api_type(required)string, possible values:"0", "1", ""— The API type: * `0` — [Exchange Web Services (EWS) API](https://docs.microsoft.com/en-us/exchange/client-developer/web-service-reference/ews-managed-api-reference-for-exchange) * `1` — [Microsoft Graph API](https://docs.microsoft.com/en-us/azure/active-directory/develop/microsoft-graph-intro) * An empty string — The API returns this value when the `calendar_type` value is `0` (Google Calendar).calendar_id(required)string— The calendar's unique ID.calendar_name(required)string— The calendar's name.calendar_type(required)string, possible values:"0", "1", "2"— The calendar's type: * `0` — Google Calendar. * `1` — Office 365 Calendar. * `2` — Microsoft Exchange Calendar.change_key(required)string— The specific version of the calendar item. You can get this value using Microsoft's [`FindItem` operation](https://docs.microsoft.com/en-us/exchange/client-developer/web-service-reference/finditem-operation). Refer to the `ChangeKey` field of the `ItemId` element in the operation's response. This field is only returned for Microsoft Exchange or Office 365 calendars.email(required)string, format:email— The Zoom Room's associated email address.event_id(required)string— The unique ID of the Zoom Room's associated calendar event: * For Microsoft Exchange calendar integration, use Microsoft's [`FindItem` operation](https://docs.microsoft.com/en-us/exchange/client-developer/web-service-reference/finditem-operation). The `event_id` value is the `Id` value in the `ItemId` element of the `FindItem` operation's response. * For Google Calendar integration, use Google's [`Events: list` API](https://developers.google.com/calendar/api/v3/reference/events/list). The `event_id` value is the `id` field in the [events resource](https://developers.google.com/calendar/api/v3/reference/events#resource).id(required)string— The Zoom Room's unique ID.resource_email(required)string— The calendar's associated [resource mailbox](https://support.microsoft.com/en-us/help/10063/creating-and-managing-resource-mailboxes-in-office-365). This field is only returned for Microsoft Exchange or Office 365 calendars.room_name(required)string— The Zoom Room's name.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"id": "",
"room_name": "",
"calendar_name": "",
"email": "",
"event_id": "",
"change_key": "",
"resource_email": "",
"calendar_id": "",
"calendar_type": "0",
"api_type": "0"
}
}
}Responses
Status: 200 Successfully received the webhook event.
workspace.reservation_checked_in
- Method:
POST - Path:
workspace.reservation_checked_in - Tags: Workspaces
The Workspace Reservation Checked In event is triggered when a user checks in their Workspace reservation to confirm that they will be using a Zoom Room or Zoom device-enabled desk.
Prerequisites
- The Workspace Reservation feature enabled by your organization through a Zoom Rooms license.
- The Zoom mobile app. This is required for QR code scanning:
- Android version 5.9.0.3502 or higher
- iOS version 5.9.0 or higher
- Zoom Rooms for Touch devices, version 5.9.0 or higher (Optional).
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Workspace Reservation Checked In subscription enabled under the Workspace Reservation event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred.payload(required)objectaccount_id(required)string— The workspace account ID.object(required)object— Information about the workspace reservation.end_time(required)string, format:date-time— The reservation's end time.id(required)string— The reservation ID.start_time(required)string, format:date-time— The reservation's start time.topic(required)string— The reservation's description.workspace_id(required)string— The workspace ID.reserve_forstring— The ID of the user for whom to create a workspace reservation.
operator(required)string, format:email— The email address of the user that checked in the reservation.operator_id(required)string— The user ID of the user that checked in the reservation.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"id": "",
"workspace_id": "",
"end_time": "",
"start_time": "",
"topic": "",
"reserve_for": "KDcuGIm1QgePTO8WbOqwIQ"
}
}
}Responses
Status: 200 Successfully received the webhook event.
zoomroom.updated
- Method:
POST - Path:
zoomroom.updated - Tags: Zoom Rooms
The Zoom Room Updated event is triggered when a user updates a Zoom Room
Prerequisites
- The Zoom Room feature enabled by your organization through a Zoom Rooms license.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Zoom Room Updated subscription enabled under the Zoom Room event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— The timestamp when the event occurred.payload(required)objectaccount_id(required)string— The Zoom Room account ID.object(required)object— Information about the Zoom Room.id(required)string— The Zoom Room's unique ID.room_name(required)string— The Zoom Room's name.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"id": "",
"room_name": ""
}
}
}Responses
Status: 200 Successfully received the webhook event.
zoomroom.location_updated
- Method:
POST - Path:
zoomroom.location_updated - Tags: Zoom Rooms
The Zoom Rooms Location has been updated event is triggered every time you update a Zoom Room Location in your account. Admins and account owners can update a Zoom Room Location to an account. Update the location using the Update a Zoom Rooms Location API or by updating the Zoom Room Location using the Zoom Web Portal itself.
Prerequisites
- Enable The Zoom Rooms feature by your organization through a Zoom Rooms license or Workspace Reservation feature enabled by your organization through a Zoom Rooms license, Zoom Phone Common Area Phone license or Workspace Reservation license.
- Enable Event Subscriptions for your Marketplace app with:
- A valid Event Notification Endpoint URL.
- The Zoom Rooms Location Updated subscription enabled under the Zoom Rooms event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp when the event occurred.payload(required)objectaccount_id(required)string— The account ID of the user who updated the Zoom Rooms Location.object(required)object— Information about the updated Location.id(required)string— The Zoom Rooms location's ID.name(required)string— The name of the updated Zoom Rooms location.parent_location_id(required)string— This location's parent Zoom Rooms location ID.type(required)— The type of location.
operator(required)string, format:email— The email address of the user that updated the Zoom Rooms Location.operator_id(required)string— The user ID of the user that updated the Zoom Rooms Location.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"id": "",
"name": "",
"parent_location_id": "",
"type": null
}
}
}Responses
Status: 200 Successfully received the webhook event.
workspace.pre_check_in_questionnaire_response_created
- Method:
POST - Path:
workspace.pre_check_in_questionnaire_response_created - Tags: Workspaces
The Workspace pre-check-in questionnaire created event is triggered every time a pre-check-in questionnaire is submitted. Users can submit the questionnaire by clicking the workspace questionnarie link in the email.
Prerequisites
- The Workspace Reservation feature enabled by your organization through a Zoom Rooms license, Zoom Phone Common Area Phone license or Workspace Reservation license.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Pre-check-in questionnaire created subscription enabled under the Workspace event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)string, format:date-time— A timestamp when the event occurred.payload(required)objectaccount_id(required)string— The workspace account ID.object(required)object— Information about the questionnaire when creating a reservation for a workspace.desk_id(required)string— The desk ID.event_id(required)string— The event ID.location_id(required)string— The location ID.questionnaire_response(required)array— List of questionnaires.Items: id(required)string— The view ID.list(required)array— List of questions in the questionnaire.Items: options(required)array— List of options for multiple-choice questions.Items: option_id(required)string— The option ID.text(required)string— The text of the option.
question_id(required)string— The question ID.reply_id(required)string— The reply ID.title(required)string— The title of the question.type(required)string— The type of the question (single-choice, multiple-choice, open-text).
subject(required)string— The subject of the questionnaire.title(required)string— The title of the questionnaire.
start_time(required)string, format:date-time— The start time of the workspace reservation.user_name(required)string— The user name.workspace_name(required)string— The name of the workspace.
operator(required)string, format:email— The email address of the user that completed the questionnaire.operator_id(required)string— The user ID of the user that completed the questionnaire.
Example:
{
"event": "",
"event_ts": "",
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"start_time": "",
"event_id": "",
"user_name": "",
"desk_id": "",
"workspace_name": "",
"location_id": "",
"questionnaire_response": [
{
"id": "",
"title": "",
"subject": "",
"list": [
{
"question_id": "",
"title": "",
"type": "",
"reply_id": "",
"options": [
{
"option_id": "",
"text": ""
}
]
}
]
}
]
}
}
}Responses
Status: 200 Successfully received the webhook event.
workspace.reservation_checked_out
- Method:
POST - Path:
workspace.reservation_checked_out - Tags: Workspaces
The Workspace Reservation Checked Out event is triggered when a user checks out of their Workspace reservation to confirm that they are releasing the Zoom Room or Zoom device-enabled desk.
Prerequisites
- The Workspace Reservation feature enabled by your organization through a Zoom Rooms license.
- The Zoom mobile app. This is required for QR code scanning:
- Android version 5.9.0.3502 or higher
- iOS version 5.9.0 or higher
- Zoom Rooms for Touch devices, version 5.9.0 or higher (Optional).
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Workspace Reservation Checked Out subscription enabled under the Workspace Reservation event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred.payload(required)objectaccount_id(required)string— The workspace account ID.object(required)object— Information about the workspace reservation.end_time(required)string, format:date-time— The reservation's end time.id(required)string— The reservation ID.start_time(required)string, format:date-time— The reservation's start time.topic(required)string— The reservation's description.workspace_id(required)string— The workspace ID.reserve_forstring— The ID of the user for whom to create a workspace reservation.
operator(required)string, format:email— The email address of the user that checked out the reservation.operator_id(required)string— The user ID of the user that checked out the reservation.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"id": "",
"workspace_id": "",
"end_time": "",
"start_time": "",
"topic": "",
"reserve_for": "KDcuGIm1QgePTO8WbOqwIQ"
}
}
}Responses
Status: 200 Successfully received the webhook event.
visitor_management.checked_in
- Method:
POST - Path:
visitor_management.checked_in - Tags: Visitor Management
The Visitor Management Checked In event is triggered when a visitor checks in.
Prerequisites
- The Visitor Management feature enabled by your organization.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Visitor Management Checked In subscription enabled under the Visitor Management event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp when the event occurred.payload(required)objectaccount_id(required)string— The host user account ID.object(required)object— Information about the checked in invitation.end_time(required)— The epoch timestamp representing end time of the invitation.
host_email(required)string— The email address of the invitation host.host_id(required)string— The user ID of the invitation host.host_name(required)string— The name of the invitation host.invite_location_id(required)string— The location ID of the location to which the visitor is invited to.start_time(required)— The epoch timestamp representing the start time of the invitation.
visitor_email(required)string— The email address of the invited visitor.visitor_name(required)string— The name of the invited visitor.
operator(required)string, format:email— The email address of the host.operator_id(required)string— The user ID of the host.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"visitor_email": "",
"visitor_name": "",
"start_time": null,
"end_time": null,
"invite_location_id": "",
"host_id": "",
"host_name": "",
"host_email": ""
}
}
}Responses
Status: 200 Successfully received the webhook event.
workspace.reservation_deleted
- Method:
POST - Path:
workspace.reservation_deleted - Tags: Workspaces
The Workspace Reservation Deleted event is triggered when a user deletes their Workspace reservation.
Prerequisites
- The Workspace Reservation feature enabled by your organization through a Zoom Rooms license.
- The Zoom mobile app. This is required for QR code scanning:
- Android version 5.9.0.3502 or higher
- iOS version 5.9.0 or higher
- Zoom Rooms for Touch devices, version 5.9.0 or higher (Optional).
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Workspace Reservation Deleted subscription enabled under the Workspace Reservation event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred.payload(required)objectaccount_id(required)string— The workspace account ID.object(required)object— Information about the workspace reservation.end_time(required)string, format:date-time— The reservation's end time.id(required)string— The reservation ID.start_time(required)string, format:date-time— The reservation's start time.topic(required)string— The reservation's description.workspace_id(required)string— The workspace ID.reserve_forstring— The ID of the user for whom to create a workspace reservation.
operator(required)string, format:email— The email address of the user that deleted the reservation.operator_id(required)string— The user ID of the user that deleted the reservation.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"id": "",
"workspace_id": "",
"end_time": "",
"start_time": "",
"topic": "",
"reserve_for": "KDcuGIm1QgePTO8WbOqwIQ"
}
}
}Responses
Status: 200 Successfully received the webhook event.
visitor_management.invitation_created
- Method:
POST - Path:
visitor_management.invitation_created - Tags: Visitor Management
The Visitor Management Invitation Created event is triggered when an invitation is created.
Prerequisites
- The Visitor Management feature enabled by your organization.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Visitor Management Invitation Created subscription enabled under the Visitor Management event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp when the event occurred.payload(required)objectaccount_id(required)string— The user account ID.object(required)object— Information about the created invitation.end_time(required)— The epoch timestamp representing end time of the invitation.
host_email(required)string— The email address of the invitation host.host_id(required)string— The user ID of the invitation host.host_name(required)string— The name of the invitation host.invitation_id(required)string— The invitation ID.invite_location_id(required)string— The location ID of the location to which the visitor is invited to.start_time(required)— The epoch timestamp representing the start time of the invitation.
visitor_email(required)string— The email address of the invited visitor.visitor_name(required)string— The name of the invited visitor.
operator(required)string, format:email— The email address of the user that created the invitation.operator_id(required)string— The user ID of the user that created the invitation.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"invitation_id": "",
"visitor_email": "",
"visitor_name": "",
"start_time": null,
"end_time": null,
"invite_location_id": "",
"host_id": "",
"host_name": "",
"host_email": ""
}
}
}Responses
Status: 200 Successfully received the webhook event.
zoomroom.location_deleted
- Method:
POST - Path:
zoomroom.location_deleted - Tags: Zoom Rooms
The Zoom Rooms location has been deleted event is triggered every time a Zoom Room location is deleted in your account. Admins and account owners can delete Zoom Rooms locations in a Zoom account. Deleting Zoom Rooms locations permanently removes them and their data from the Zoom system. To delete a Zoom Rooms location, delete the Zoom Rooms location from the Zoom Web Portal itself.
Prerequisites
- Have your organization enable the Zoom Rooms feature through a Zoom Rooms license, or Workspace Reservation feature enabled by your organization through a Zoom Rooms license, Zoom Phone Common Area Phone license or Workspace Reservation license.
- Enable Event Subscriptions for your Marketplace app with:
- A valid Event Notification Endpoint URL.
- The Zoom Rooms Location Deleted subscription enabled under the Zoom Rooms event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp when the event occurred.payload(required)objectaccount_id(required)string— The account ID of the user who deleted the Zoom Rooms location.object(required)object— Information about the deleted location.id(required)string— The Zoom Rooms location's ID.name(required)string— The name of the deleted Zoom Rooms location.parent_location_id(required)string— This location's parent Zoom Rooms location ID.type(required)— The location type.
operator(required)string, format:email— The email address of the user that deleted the Zoom Rooms location.operator_id(required)string— The user ID of the user that deleted the Zoom Rooms location.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"id": "",
"name": "",
"parent_location_id": "",
"type": null
}
}
}Responses
Status: 200 Successfully received the webhook event.
workspace.reservation_created
- Method:
POST - Path:
workspace.reservation_created - Tags: Workspaces
The Workspace Reservation Created event is triggered when a user reserves a Zoom Room or Zoom device-enabled desk.
Prerequisites
- The Workspace Reservation feature enabled by your organization through a Zoom Rooms license.
- The Zoom mobile app. This is required for QR code scanning:
- Android version 5.9.0.3502 or higher
- iOS version 5.9.0 or higher
- Zoom Rooms for Touch devices, version 5.9.0 or higher (Optional).
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Workspace Reservation Created subscription enabled under the Workspace Reservation event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred.payload(required)objectaccount_id(required)string— The workspace account ID.object(required)object— Information about the workspace reservation.end_time(required)string, format:date-time— The reservation's end time.id(required)string— The reservation ID.start_time(required)string, format:date-time— The reservation's start time.topic(required)string— The reservation's description.workspace_id(required)string— The workspace ID.assignment_checkinboolean— Whether the assigned workspace is checked in.reserve_forstring— The ID of the user for whom to create a workspace reservation.
operator(required)string, format:email— The email address of the user that created the reservation.operator_id(required)string— The user ID of the user that created the reservation.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"id": "",
"workspace_id": "",
"end_time": "",
"start_time": "",
"topic": "",
"reserve_for": "",
"assignment_checkin": true
}
}
}Responses
Status: 200 Successfully received the webhook event.
zoomroom.checked_out
- Method:
POST - Path:
zoomroom.checked_out - Tags: Zoom Rooms
The Zoom Room Checked Out event is triggered when a user checks out of the Zoom Room to confirm that they are releasing the room for other users to use.
Users can check out manually via the Zoom Room controller, or they can check out programmatically using the Check-in or check-out of a Zoom Room API.
Prerequisites
- The administrator or account owner must enable the Room Check-In and Check-Out feature.
- The Zoom Room version must be 4.7.0 or higher.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Zoom Room Checked Out subscription enabled under the Zoom Room event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred.payload(required)objectaccount_id(required)string— The Zoom Room account ID.object(required)object— Information about the Zoom Room.api_type(required)string, possible values:"0", "1", ""— The API type: * `0` — [Exchange Web Services (EWS) API](https://docs.microsoft.com/en-us/exchange/client-developer/web-service-reference/ews-managed-api-reference-for-exchange) * `1` — [Microsoft Graph API](https://docs.microsoft.com/en-us/azure/active-directory/develop/microsoft-graph-intro) * An empty string — The API returns this value when the `calendar_type` value is `0` (Google Calendar).calendar_id(required)string— The calendar's unique ID.calendar_name(required)string— The calendar's name.calendar_type(required)string, possible values:"0", "1", "2"— The calendar's type: * `0` — Google Calendar. * `1` — Office 365 Calendar. * `2` — Microsoft Exchange Calendar.change_key(required)string— The specific version of the calendar item. You can get this value using Microsoft's [`FindItem` operation](https://docs.microsoft.com/en-us/exchange/client-developer/web-service-reference/finditem-operation). Refer to the `ChangeKey` field of the `ItemId` element in the operation's response. This field is only returned for Microsoft Exchange or Office 365 calendars.email(required)string, format:email— The Zoom Room's associated email address.event_id(required)string— The unique ID of the Zoom Room's associated calendar event: * For Microsoft Exchange calendar integration, use Microsoft's [`FindItem` operation](https://docs.microsoft.com/en-us/exchange/client-developer/web-service-reference/finditem-operation). The `event_id` value is the `Id` value in the `ItemId` element of the `FindItem` operation's response. * For Google Calendar integration, use Google's [`Events: list` API](https://developers.google.com/calendar/api/v3/reference/events/list). The `event_id` value is the `id` field in the [events resource](https://developers.google.com/calendar/api/v3/reference/events#resource).id(required)string— The Zoom Room's unique ID.resource_email(required)string— The calendar's associated [resource mailbox](https://support.microsoft.com/en-us/help/10063/creating-and-managing-resource-mailboxes-in-office-365). This field is only returned for Microsoft Exchange or Office 365 calendars.room_name(required)string— The Zoom Room's name.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"id": "",
"room_name": "",
"calendar_name": "",
"email": "",
"event_id": "",
"change_key": "",
"resource_email": "",
"calendar_id": "",
"calendar_type": "0",
"api_type": "0"
}
}
}Responses
Status: 200 Successfully received the webhook event.
zoomroom.delayed_alert
- Method:
POST - Path:
zoomroom.delayed_alert - Tags: Zoom Rooms
The Zoom Room Delayed Alert event is triggered when there is an issue with a Zoom Room on a Zoom account that has installed your webhook-enabled app. Some of the issues that can trigger this event are:
- High CPU usage.
- Low battery, charging, and/or connection issues in a Zoom Room device.
- Room controller, camera, or speaker disconnections or reconnections.
- Missing camera or microphone.
This event notification is the same as the Zoom Room Alert event notification. However, instead of receiving the event in near real-time, you will receive this event notification five minutes after an issue occurs in the Zoom Room.
It is recommended that you only subscribe to either the Zoom Room Alert event or the Zoom Room Delayed Alert event to avoid receiving duplicate event notifications.
Prerequisites
- A Business or Enterprise plan.
- The administrator or account owner must enable the Zoom Room Alert feature with the selected alerts in the Zoom Web Portal.
- The Zoom Room version must be 3.5.24524.0821 and higher.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Zoom Room Delayed Alert subscription enabled under the Zoom Room event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— The timestamp when the event occurred.payload(required)objectaccount_id(required)string— The Zoom Room account ID.object(required)object— Information about the Zoom Room.alert_kind(required)integer, possible values:1, 2, 3, 4— The kind of alert: * `1` — Triggered. There was an encountered problem. When the problem is resolved, a follow-up response will contain this field with the `2` (Cleared) value. * `2` — Cleared. The problem is resolved. * `3` — Observed. There is a potential issue-causing condition. If the issue is cleared (`2`), there will **not** be a follow-up response. * `4` — Other.alert_time(required)integer, format:int64— The timestamp when the alert occurred.alert_type(required)integer, possible values:1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 0— The type of alert sent: * `1` — The controller or scheduling display disconnected. * `2` — The selected microphone, speaker, or camera has disconnected. * `3` — The Zoom Room is offline. * `4` — High CPU usage detected. * `5` — Low network bandwidth detected. * `6` — The controller or scheduling display battery is low. * `7` — The Zoom Rooms display is disconnected. * `8` — The audio device has quality issues. * `9` — Failed SIP registration. * `10` — Incorrect room passcode entry detected. * `0` — Other alert.calendar_name(required)string— The calendar's name.component(required)integer, possible values:1, 2, 3, 4, 5, 6, 0— The affected component: * `1` — Zoom Rooms computer * `2` — Controller * `3` — Scheduling display * `4` — Microphone * `5` — Camera * `6` — Speaker * `0` — Otheremail(required)string, format:email— The Zoom Room's associated email address.id(required)string— The Zoom Room's unique ID.issue(required)string— The issues that occurred during the meeting: * `Room controller is disconnected.` * `Room controller connected.` * `Selected camera is disconnected.` * `Selected camera is reconnected.` * `Selected microphone is disconnected.` * `Selected microphone is reconnected.` * `Selected speaker is disconnected.` * `Selected speaker is reconnected.` * `Zoom room is offline.` * `Zoom room is online.` * `High CPU usage detected.` * `Low bandwidth network is detected.` * `{name} battery is low.` * `{name} battery is normal.` * `{name} disconnected.` * `{name} is connected.` * `Incorrect Room Passcode Entry Detected.` * `The possible values for `{name}` are:` * `Zoom Rooms Computer.` * `Controller.` * `Scheduling Display.` *room_name(required)string— The Zoom Room's name.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"id": "",
"room_name": "",
"calendar_name": "",
"email": "",
"issue": "",
"alert_type": 1,
"component": 1,
"alert_time": 1,
"alert_kind": 1
}
}
}Responses
Status: 200 Successfully received the webhook event.
workspace.deleted
- Method:
POST - Path:
workspace.deleted - Tags: Workspaces
The Workspace Deleted event is triggered every time a Workspace is deleted in your account. Admins and account owners can delete a Workspaces to an account. The Workspace can be deleted using the Delete a Workspace API or by deleting the Workspace using the Zoom Web Portal itself.
Prerequisites
- The Workspace Reservation feature enabled by your organization through a Zoom Rooms license, Zoom Phone Common Area Phone license or Workspace Reservation license.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Workspace Deleted subscription enabled under the Workspace event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp when the event occurred.payload(required)objectaccount_id(required)string— The account ID of the user who deleted the Workspace.object(required)object— Information about the deleted Workspace.id(required)string— The Workspace ID.workspace_name(required)string— The name of the Workspace.
operator(required)string, format:email— The email address of the user who deleted the Workspace.operator_id(required)string— The user ID of the user that deleted the Workspace.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"id": "",
"workspace_name": ""
}
}
}Responses
Status: 200 Successfully received the webhook event.
workspace.issue_reported
- Method:
POST - Path:
workspace.issue_reported - Tags: Workspaces
The Workspace issue reported event is triggered every time a issue is reported.
Prerequisites
- The Workspace Reservation feature enabled by your organization through a Zoom Rooms license, Zoom Phone Common Area Phone license or Workspace Reservation license.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Workspace Issue Reported subscription enabled under the Workspace event.
Request Body
Content-Type: application/json
event(required)string, possible values:"workspace.issue_reported"— The name of the event.event_ts(required)integer, format:int64— The timestamp at which the event occurred.payload(required)objectaccount_id(required)string— The workspace account ID.object(required)object— Information about the reported workspace issue.category_name(required)string— The selected issue category name.issue_types(required)array— The selected issue types under the category.Items: stringlocation_path(required)string— The location path of the workspace.report_id(required)string— The unique ID of the issue report.workspace_id(required)string— The workspace's ID.workspace_name(required)string— The workspace's name.descriptionstring— The description entered by the reporting user. This field may be omitted when no description is provided.file_idsarray— The uploaded file IDs attached to the issue report. This field may be omitted when no files are attached.Items: string
operator(required)string, format:email— The email address of the user who reported the issue.operator_id(required)string— The user ID of the user who reported the issue.
Example:
{
"event": "workspace.issue_reported",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"report_id": "",
"workspace_id": "",
"workspace_name": "",
"location_path": "",
"category_name": "",
"issue_types": [
""
],
"description": "",
"file_ids": [
""
]
}
}
}Responses
Status: 200 Successfully received the webhook event.
zoomroom.deleted
- Method:
POST - Path:
zoomroom.deleted - Tags: Zoom Rooms
The Zoom Room Deleted event is triggered when a user deletes a Zoom Room.
Prerequisites
- The Zoom Room feature enabled by your organization through a Zoom Rooms license.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Zoom Room Deleted subscription enabled under the Zoom Room event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— The timestamp when the event occurred.payload(required)objectaccount_id(required)string— The Zoom Room account ID.object(required)object— Information about the Zoom Room.id(required)string— The Zoom Room's unique ID.room_name(required)string— The Zoom Room's name.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"id": "",
"room_name": ""
}
}
}Responses
Status: 200 Successfully received the webhook event.
visitor_management.invitation_updated
- Method:
POST - Path:
visitor_management.invitation_updated - Tags: Visitor Management
The Visitor Management Invitation Updated event is triggered when the invitation is updated.
Prerequisites
- The Visitor Management feature enabled by your organization.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Visitor Management Invitation Updated subscription enabled under the Visitor Management event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp when the event occurred.payload(required)objectaccount_id(required)string— The user account ID.object(required)object— Information about the updated invitation.end_time(required)— The epoch timestamp representing end time of the invitation.
host_email(required)string— The email address of the invitation host.host_id(required)string— The user ID of the invitation host.host_name(required)string— The name of the invitation host.invitation_id(required)string— The invitation ID.invite_location_id(required)string— The location ID of the location to which the visitor is invited to.start_time(required)— The epoch timestamp representing the start time of the invitation.
visitor_email(required)string— The email address of the invited visitor.visitor_name(required)string— The name of the invited visitor.
operator(required)string, format:email— The email address of the user that updated the invitation.operator_id(required)string— The user ID of the user that updated the invitation.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"invitation_id": "",
"visitor_email": "",
"visitor_name": "",
"start_time": null,
"end_time": null,
"invite_location_id": "",
"host_id": "",
"host_name": "",
"host_email": ""
}
}
}Responses
Status: 200 Successfully received the webhook event.
zoomroom.location_created
- Method:
POST - Path:
zoomroom.location_created - Tags: Zoom Rooms
The Zoom Rooms location has been created event is triggered every time a new Zoom Room location is created in your account. Admins and account owners can add new Zoom Room Location to an account. The Location can be added using the Add a Zoom Rooms Location API or by adding the Zoom Room Location using the Zoom Web Portal itself.
Prerequisites
- Have your organization enable the Zoom Rooms feature through a Zoom Rooms license, or Workspace Reservation feature enabled by your organization through a Zoom Rooms license, Zoom Phone Common Area Phone license or Workspace Reservation license.
- Enable Event Subscriptions for your Marketplace app with:
- A valid Event Notification Endpoint URL.
- The Zoom Rooms Location Created subscription enabled under the Zoom Rooms event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp when the event occurred.payload(required)objectaccount_id(required)string— The account ID of the user who created the new Zoom Rooms location.object(required)object— Information about the created location.id(required)string— The Zoom Rooms location's ID.name(required)string— The name of the new Zoom Rooms location.parent_location_id(required)string— This location's parent Zoom Rooms location ID.type(required)— The location's type.
operator(required)string, format:email— The email address of the user that created the new Zoom Rooms location.operator_id(required)string— The user ID of the user that created the new Zoom Rooms location.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"id": "",
"name": "",
"parent_location_id": "",
"type": null
}
}
}Responses
Status: 200 Successfully received the webhook event.
zoomroom.created
- Method:
POST - Path:
zoomroom.created - Tags: Zoom Rooms
The Zoom Room Created event is triggered when a user creates a Zoom Room
Prerequisites
- The Zoom Room feature enabled by your organization through a Zoom Rooms license.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Zoom Room Created subscription enabled under the Zoom Room event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— The timestamp when the event occurred.payload(required)objectaccount_id(required)string— The Zoom Room account ID.object(required)object— Information about the Zoom Room.id(required)string— The Zoom Room's unique ID.room_name(required)string— The Zoom Room's name.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"id": "",
"room_name": ""
}
}
}Responses
Status: 200 Successfully received the webhook event.
workspace.created
- Method:
POST - Path:
workspace.created - Tags: Workspaces
The Workspace created event is triggered every time a Workspace is created in your account. Admins and account owners can add new Workspaces to an account. The Workspace can be added using the Create a Workspace API or by adding the Workspace using the Zoom Web Portal itself.
Prerequisites
- The Workspace Reservation feature enabled by your organization through a Zoom Rooms license, Zoom Phone Common Area Phone license or Workspace Reservation license.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Workspace Created subscription enabled under the Workspace event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp when the event occurred.payload(required)objectaccount_id(required)string— The workspace account ID.object(required)object— Information about the created workspace.id(required)string— The Workspace ID.workspace_name(required)string— The name of the workspace
operator(required)string, format:email— The email address of the user that created the workspace.operator_id(required)string— The user ID of the user that created the workspace.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"id": "",
"workspace_name": ""
}
}
}Responses
Status: 200 Successfully received the webhook event.
workspace.updated
- Method:
POST - Path:
workspace.updated - Tags: Workspaces
The Workspace Updated event is triggered every time a Workspace is updated in your account. Admins and account owners can update a Workspaces to an account. The Workspace can be updated using the Update a Workspace API or by updating the Workspace using the Zoom Web Portal itself.
Prerequisites
- The Workspace Reservation feature enabled by your organization through a Zoom Rooms license, Zoom Phone Common Area Phone license or Workspace Reservation license.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Workspace Updated subscription enabled under the Workspace event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp when the event occurred.payload(required)objectaccount_id(required)string— The Workspace account ID.object(required)object— Information about the updated Workspace.id(required)string— The Workspace ID.workspace_name(required)string— The name of the Workspace
operator(required)string, format:email— The email address of the user that updated the Workspace.operator_id(required)string— The user ID of the user that updated the Workspace.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"id": "",
"workspace_name": ""
}
}
}Responses
Status: 200 Successfully received the webhook event.
zoomroom.thirdparty_meeting_attempted
- Method:
POST - Path:
zoomroom.thirdparty_meeting_attempted - Tags: Zoom Rooms
The Zoom Room third party meeting attempted event triggers when a Zoom Room is invited or actively joins a third party meeting.
Prerequisites
- Enable Event Subscriptions for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- Enable the Zoom Room third party meeting attempted subscription under the Zoom Room event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp when the event occurred.payload(required)objectaccount_id(required)string— The Zoom Room account ID.object(required)object— A Zoom Room is about to join a meeting.room_id(required)string— The Zoom Room ID.join_timestring, format:datetime— The time to execute the command to join a meeting.join_urlstring— The URL for joining a meeting.meeting_source_typestring, possible values:"MS_TEAMS", "GOOGLE_MEET", "WEBEX", "BLUEJEANS", "FUZE", "UNKNOWN"— The meeting type.passcodestring— The passcode for joining a third-party meeting.sip_addressstring— The full SIP address to join the third-party meeting.third_party_meeting_idstring— The of the third-party meeting's meeting ID.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"room_id": "",
"join_url": "",
"meeting_source_type": "MS_TEAMS",
"join_time": "2022-06-19T00:00:00Z",
"sip_address": "",
"third_party_meeting_id": "",
"passcode": ""
}
}
}Responses
Status: 200 Successfully received the webhook event.
zoomroom.digital_signage_app_started
- Method:
POST - Path:
zoomroom.digital_signage_app_started - Tags: Zoom Rooms
The Zoom Room digital signage play started event triggers when the digital signage starts playing or showing.
Prerequisites
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Zoom Room digital signage app started subscription enabled under the Zoom Room event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp when the event occurred.payload(required)objectaccount_id(required)string— The Zoom Room account ID.object(required)object— The information on the digital signage played in a Zoom Room.app_id(required)string— The app ID.app_name(required)string— The app name.room_id(required)string— The Zoom Room ID.start_time(required)string, format:datetime— The playback start time of the digital signage.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"room_id": "",
"app_name": "",
"app_id": "",
"start_time": "2022-06-19T00:00:00Z"
}
}
}Responses
Status: 200 Successfully received the webhook event.
Schemas
Visitor_management.checked_outEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp when the event occurred.payload(required)objectaccount_id(required)string— The host user account ID.object(required)object— Information about the checked out invitation.end_time(required)— The epoch timestamp representing end time of the invitation.
host_email(required)string— The email address of the invitation host.host_id(required)string— The user ID of the invitation host.host_name(required)string— The name of the invitation host.invite_location_id(required)string— The location ID of the location to which the visitor is invited to.start_time(required)— The epoch timestamp representing the start time of the invitation.
visitor_email(required)string— The email address of the invited visitor.visitor_name(required)string— The name of the invited visitor.
operator(required)string, format:email— The email address of the host.operator_id(required)string— The user ID of the host.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"visitor_email": "",
"visitor_name": "",
"start_time": null,
"end_time": null,
"invite_location_id": "",
"host_id": "",
"host_name": "",
"host_email": ""
}
}
}Workspace.user_unassignedEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)string, format:date-time— A timestamp when the event occurred.payload(required)objectaccount_id(required)string— The workspace account ID.object(required)object— Information about the user unassigned when unassign a user from a workspace.account_id(required)string— The belong's account id of assigned user.assign_type(required)string, possible values:"permanent"— The type of assign before unassign.user_id(required)string— The id of assigned user.workspace_id(required)string— The workspace's ID.workspace_name(required)string— The workspace's name.
operator(required)string, format:email— The email address of the user that updated the assignment.operator_id(required)string— The user ID of the user that updated the assignment.
Example:
{
"event": "",
"event_ts": "",
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"workspace_id": "",
"workspace_name": "",
"account_id": "",
"user_id": "",
"assign_type": "permanent"
}
}
}Workspace.reservation_questionnaire_response_createdEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)string, format:date-time— A timestamp when the event occurred.payload(required)objectaccount_id(required)string— The workspace account ID.object(required)object— Information about the questionnaire when creating a reservation for a workspace.desk_id(required)string— The desk ID.event_id(required)string— The event ID.location_id(required)string— The location ID.questionnaire_response(required)array— List of questionnaires.Items: id(required)string— The view ID.list(required)array— List of questions in the questionnaire.Items: options(required)array— List of options for multiple-choice questions.Items: option_id(required)string— The option ID.text(required)string— The text of the option.
question_id(required)string— The question ID.reply_id(required)string— The reply ID.title(required)string— The title of the question.type(required)string— The type of the question (single-choice, multiple-choice, open-text).
subject(required)string— The subject of the questionnaire.title(required)string— The title of the questionnaire.
start_time(required)string, format:date-time— The start time of the workspace reservation.user_name(required)string— The user name.workspace_name(required)string— The name of the workspace.
operator(required)string, format:email— The email address of the user that completed the questionnaire.operator_id(required)string— The user ID of the user that completed the questionnaire.
Example:
{
"event": "",
"event_ts": "",
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"start_time": "",
"event_id": "",
"user_name": "",
"desk_id": "",
"workspace_name": "",
"location_id": "",
"questionnaire_response": [
{
"id": "",
"title": "",
"subject": "",
"list": [
{
"question_id": "",
"title": "",
"type": "",
"reply_id": "",
"options": [
{
"option_id": "",
"text": ""
}
]
}
]
}
]
}
}
}Zoomroom.sensor_dataEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp when the event occurred.payload(required)objectaccount_id(required)string— The Zoom Room account ID.object(required)object— Information about the Zoom Room.device_id(required)string— The device ID.id(required)string— The Zoom Room ID.room_name(required)string— The Zoom Room name.sensor_data(required)array— Information about the sensor data.Items: date_time(required)string, format:datetime— The time when the sensor data was reported.sensor_type(required)string, possible values:"CO2", "TEMPERATURE", "REAL_TIME_PEOPLE_COUNT", "HUMIDITY", "VOC", "AQI", "PM25", "PM10", "AIR_PRESSURE"— The sensor type.sensor_value(required)string— The sensor value.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"id": "",
"room_name": "",
"device_id": "",
"sensor_data": [
{
"date_time": "2022-06-19T00:00:00Z",
"sensor_type": "CO2",
"sensor_value": ""
}
]
}
}
}Visitor_management.invitation_deletedEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp when the event occurred.payload(required)objectaccount_id(required)string— The user account ID.object(required)object— Information about the deleted invitation.host_email(required)string— The email address of the invitation host.host_id(required)string— The user ID of the invitation host.host_name(required)string— The name of the invitation host.invite_location_id(required)string— The location ID of the location to which the visitor is invited to.visitor_email(required)string— The email address of the invited visitor.visitor_name(required)string— The name of the invited visitor.
operator(required)string, format:email— The email address of the user that deleted the invitation.operator_id(required)string— The user ID of the user that deleted the invitation.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"visitor_email": "",
"visitor_name": "",
"invite_location_id": "",
"host_id": "",
"host_name": "",
"host_email": ""
}
}
}Zoomroom.alertEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)integer, format:int64— The timestamp when the event occurred.payload(required)objectaccount_id(required)string— The Zoom Room account ID.object(required)object— Information about the Zoom Room.alert_kind(required)integer, possible values:1, 2, 3, 4— The kind of alert: * `1` — Triggered. There was an encountered problem. When the problem is resolved, a follow-up response will contain this field with the `2` (Cleared) value. * `2` — Cleared. The problem is resolved. * `3` — Observed. There is a potential issue-causing condition. If the issue is cleared (`2`), there will **not** be a follow-up response. * `4` - Other`.alert_time(required)integer, format:int64— The timestamp when the alert occurred.alert_type(required)integer, possible values:1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 0— The type of alert sent: * `1` — The controller or scheduling display disconnected. * `2` — The selected microphone, speaker, or camera has disconnected * `3` — The Zoom Room is offline. * `4` — High CPU usage detected. * `5` — Low network bandwidth detected. * `6` — The controller or scheduling display battery is low. * `7` — The Zoom Rooms display is disconnected. * `8` — The audio device has quality issues * `9` — Failed SIP registration * `10` — Incorrect room passcode entry detected * `0` — Other alert.calendar_name(required)string— The calendar's name.component(required)integer, possible values:1, 2, 3, 4, 5, 6, 0— The affected component: * `1` — Zoom Rooms Computer * `2` — Controller * `3` — Scheduling Display * `4` — Microphone * `5` — Camera * `6` — Speaker * `0` - Other.email(required)string, format:email— The Zoom Room's associated email address.id(required)string— The Zoom Room's unique ID.issue(required)string— The issues that occurred during the meeting: * `Room Controller disconnected` * `Room Controller connected` * `Selected camera has disconnected` * `Selected camera is reconnected` * `Selected microphone has disconnected` * `Selected microphone is reconnected` * `Selected speaker has disconnected` * `Selected speaker is reconnected` * `Zoom room is offline` * `Zoom room is online` * `High CPU usage is detected` * `Low bandwidth network is detected` * `{name} battery is low` * `{name} battery is normal` * `{name} disconnected` * `{name} connected` `Incorrect Room Passcode Entry Detected` The possible values for `{name}` are: * Zoom Rooms Computer * Controller * Scheduling Display *.room_name(required)string— The Zoom Room's name.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"id": "",
"room_name": "",
"calendar_name": "",
"email": "",
"issue": "",
"alert_type": 1,
"component": 1,
"alert_time": 1,
"alert_kind": 1
}
}
}Workspace.reservation_questionnaire_response_updatedEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)string, format:date-time— A timestamp when the event occurred.payload(required)objectaccount_id(required)string— The workspace account ID.object(required)object— Information about the questionnaire when creating a reservation for a workspace.desk_id(required)string— The desk ID.event_id(required)string— The event ID.location_id(required)string— The location ID.questionnaire_response(required)array— List of questionnaires.Items: id(required)string— The view ID.list(required)array— List of questions in the questionnaire.Items: options(required)array— List of options for multiple-choice questions.Items: option_id(required)string— The option ID.text(required)string— The text of the option.
question_id(required)string— The question ID.reply_id(required)string— The reply ID.title(required)string— The title of the question.type(required)string— The type of the question (single-choice, multiple-choice, open-text).
subject(required)string— The subject of the questionnaire.title(required)string— The title of the questionnaire.
start_time(required)string, format:date-time— The start time of the workspace reservation.user_name(required)string— The user name.workspace_name(required)string— The name of the workspace.
operator(required)string, format:email— The email address of the user that completed the questionnaire.operator_id(required)string— The user ID of the user that completed the questionnaire.
Example:
{
"event": "",
"event_ts": "",
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"start_time": "",
"event_id": "",
"user_name": "",
"desk_id": "",
"workspace_name": "",
"location_id": "",
"questionnaire_response": [
{
"id": "",
"title": "",
"subject": "",
"list": [
{
"question_id": "",
"title": "",
"type": "",
"reply_id": "",
"options": [
{
"option_id": "",
"text": ""
}
]
}
]
}
]
}
}
}Workspace.reservation_updateEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred.payload(required)objectaccount_id(required)string— The workspace account ID.object(required)object— Information about the workspace reservation.end_time(required)string, format:date-time— The reservation's end time.id(required)string— The reservation ID.start_time(required)string, format:date-time— The reservation's start time.topic(required)string— The reservation's description.workspace_id(required)string— The workspace ID.reserve_forstring— The ID of the user for whom to create a workspace reservation.
operator(required)string, format:email— The email address of the user that updated the reservation.operator_id(required)string— The user ID of the user that updated the reservation.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"id": "",
"workspace_id": "",
"end_time": "",
"start_time": "",
"topic": "",
"reserve_for": "KDcuGIm1QgePTO8WbOqwIQ"
}
}
}Workspace.user_assignedEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)string, format:date-time— A timestamp when the event occurred.payload(required)objectaccount_id(required)string— The workspace account ID.object(required)object— Information about the assignment when updating assignment of a workspace.account_id(required)string— The belong's account id of assigned user.assign_type(required)string, possible values:"permanent"— The type of assignment.user_email(required)string— The email of assigned user.user_id(required)string— The id of assigned user.workspace_id(required)string— The workspace's ID.workspace_name(required)string— The workspace's name.
operator(required)string, format:email— The email address of the user that updated the assignment.operator_id(required)string— The user ID of the user that updated the assignment.
Example:
{
"event": "",
"event_ts": "",
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"workspace_id": "",
"workspace_name": "",
"assign_type": "permanent",
"account_id": "",
"user_id": "",
"user_email": ""
}
}
}Zoomroom.digital_signage_app_endedEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)integer, format:int64— The timestamp when the event occurred.payload(required)objectaccount_id(required)string— The Zoom Room account ID.object(required)object— The information on the digital signage played in a Zoom Room.app_id(required)string— The app ID.app_name(required)string— The app name.end_time(required)string, format:datetime— The playback end time of the digital signage.room_id(required)string— The Zoom Room ID.start_time(required)string, format:datetime— The playback start time of the digital signage.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"room_id": "",
"app_name": "",
"app_id": "",
"start_time": "2022-06-19T00:00:00Z",
"end_time": "2022-06-19T00:00:00Z"
}
}
}Zoomroom.checked_inEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred.payload(required)objectaccount_id(required)string— The Zoom Room account ID.object(required)object— Information about the Zoom Room.api_type(required)string, possible values:"0", "1", ""— The API type: * `0` — [Exchange Web Services (EWS) API](https://docs.microsoft.com/en-us/exchange/client-developer/web-service-reference/ews-managed-api-reference-for-exchange) * `1` — [Microsoft Graph API](https://docs.microsoft.com/en-us/azure/active-directory/develop/microsoft-graph-intro) * An empty string — The API returns this value when the `calendar_type` value is `0` (Google Calendar).calendar_id(required)string— The calendar's unique ID.calendar_name(required)string— The calendar's name.calendar_type(required)string, possible values:"0", "1", "2"— The calendar's type: * `0` — Google Calendar. * `1` — Office 365 Calendar. * `2` — Microsoft Exchange Calendar.change_key(required)string— The specific version of the calendar item. You can get this value using Microsoft's [`FindItem` operation](https://docs.microsoft.com/en-us/exchange/client-developer/web-service-reference/finditem-operation). Refer to the `ChangeKey` field of the `ItemId` element in the operation's response. This field is only returned for Microsoft Exchange or Office 365 calendars.email(required)string, format:email— The Zoom Room's associated email address.event_id(required)string— The unique ID of the Zoom Room's associated calendar event: * For Microsoft Exchange calendar integration, use Microsoft's [`FindItem` operation](https://docs.microsoft.com/en-us/exchange/client-developer/web-service-reference/finditem-operation). The `event_id` value is the `Id` value in the `ItemId` element of the `FindItem` operation's response. * For Google Calendar integration, use Google's [`Events: list` API](https://developers.google.com/calendar/api/v3/reference/events/list). The `event_id` value is the `id` field in the [events resource](https://developers.google.com/calendar/api/v3/reference/events#resource).id(required)string— The Zoom Room's unique ID.resource_email(required)string— The calendar's associated [resource mailbox](https://support.microsoft.com/en-us/help/10063/creating-and-managing-resource-mailboxes-in-office-365). This field is only returned for Microsoft Exchange or Office 365 calendars.room_name(required)string— The Zoom Room's name.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"id": "",
"room_name": "",
"calendar_name": "",
"email": "",
"event_id": "",
"change_key": "",
"resource_email": "",
"calendar_id": "",
"calendar_type": "0",
"api_type": "0"
}
}
}Workspace.reservation_checked_inEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred.payload(required)objectaccount_id(required)string— The workspace account ID.object(required)object— Information about the workspace reservation.end_time(required)string, format:date-time— The reservation's end time.id(required)string— The reservation ID.start_time(required)string, format:date-time— The reservation's start time.topic(required)string— The reservation's description.workspace_id(required)string— The workspace ID.reserve_forstring— The ID of the user for whom to create a workspace reservation.
operator(required)string, format:email— The email address of the user that checked in the reservation.operator_id(required)string— The user ID of the user that checked in the reservation.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"id": "",
"workspace_id": "",
"end_time": "",
"start_time": "",
"topic": "",
"reserve_for": "KDcuGIm1QgePTO8WbOqwIQ"
}
}
}Zoomroom.updatedEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)integer, format:int64— The timestamp when the event occurred.payload(required)objectaccount_id(required)string— The Zoom Room account ID.object(required)object— Information about the Zoom Room.id(required)string— The Zoom Room's unique ID.room_name(required)string— The Zoom Room's name.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"id": "",
"room_name": ""
}
}
}Zoomroom.location_updatedEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp when the event occurred.payload(required)objectaccount_id(required)string— The account ID of the user who updated the Zoom Rooms Location.object(required)object— Information about the updated Location.id(required)string— The Zoom Rooms location's ID.name(required)string— The name of the updated Zoom Rooms location.parent_location_id(required)string— This location's parent Zoom Rooms location ID.type(required)— The type of location.
operator(required)string, format:email— The email address of the user that updated the Zoom Rooms Location.operator_id(required)string— The user ID of the user that updated the Zoom Rooms Location.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"id": "",
"name": "",
"parent_location_id": "",
"type": null
}
}
}Workspace.pre_check_in_questionnaire_response_createdEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)string, format:date-time— A timestamp when the event occurred.payload(required)objectaccount_id(required)string— The workspace account ID.object(required)object— Information about the questionnaire when creating a reservation for a workspace.desk_id(required)string— The desk ID.event_id(required)string— The event ID.location_id(required)string— The location ID.questionnaire_response(required)array— List of questionnaires.Items: id(required)string— The view ID.list(required)array— List of questions in the questionnaire.Items: options(required)array— List of options for multiple-choice questions.Items: option_id(required)string— The option ID.text(required)string— The text of the option.
question_id(required)string— The question ID.reply_id(required)string— The reply ID.title(required)string— The title of the question.type(required)string— The type of the question (single-choice, multiple-choice, open-text).
subject(required)string— The subject of the questionnaire.title(required)string— The title of the questionnaire.
start_time(required)string, format:date-time— The start time of the workspace reservation.user_name(required)string— The user name.workspace_name(required)string— The name of the workspace.
operator(required)string, format:email— The email address of the user that completed the questionnaire.operator_id(required)string— The user ID of the user that completed the questionnaire.
Example:
{
"event": "",
"event_ts": "",
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"start_time": "",
"event_id": "",
"user_name": "",
"desk_id": "",
"workspace_name": "",
"location_id": "",
"questionnaire_response": [
{
"id": "",
"title": "",
"subject": "",
"list": [
{
"question_id": "",
"title": "",
"type": "",
"reply_id": "",
"options": [
{
"option_id": "",
"text": ""
}
]
}
]
}
]
}
}
}Workspace.reservation_checked_outEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred.payload(required)objectaccount_id(required)string— The workspace account ID.object(required)object— Information about the workspace reservation.end_time(required)string, format:date-time— The reservation's end time.id(required)string— The reservation ID.start_time(required)string, format:date-time— The reservation's start time.topic(required)string— The reservation's description.workspace_id(required)string— The workspace ID.reserve_forstring— The ID of the user for whom to create a workspace reservation.
operator(required)string, format:email— The email address of the user that checked out the reservation.operator_id(required)string— The user ID of the user that checked out the reservation.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"id": "",
"workspace_id": "",
"end_time": "",
"start_time": "",
"topic": "",
"reserve_for": "KDcuGIm1QgePTO8WbOqwIQ"
}
}
}Visitor_management.checked_inEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp when the event occurred.payload(required)objectaccount_id(required)string— The host user account ID.object(required)object— Information about the checked in invitation.end_time(required)— The epoch timestamp representing end time of the invitation.
host_email(required)string— The email address of the invitation host.host_id(required)string— The user ID of the invitation host.host_name(required)string— The name of the invitation host.invite_location_id(required)string— The location ID of the location to which the visitor is invited to.start_time(required)— The epoch timestamp representing the start time of the invitation.
visitor_email(required)string— The email address of the invited visitor.visitor_name(required)string— The name of the invited visitor.
operator(required)string, format:email— The email address of the host.operator_id(required)string— The user ID of the host.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"visitor_email": "",
"visitor_name": "",
"start_time": null,
"end_time": null,
"invite_location_id": "",
"host_id": "",
"host_name": "",
"host_email": ""
}
}
}Workspace.reservation_deletedEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred.payload(required)objectaccount_id(required)string— The workspace account ID.object(required)object— Information about the workspace reservation.end_time(required)string, format:date-time— The reservation's end time.id(required)string— The reservation ID.start_time(required)string, format:date-time— The reservation's start time.topic(required)string— The reservation's description.workspace_id(required)string— The workspace ID.reserve_forstring— The ID of the user for whom to create a workspace reservation.
operator(required)string, format:email— The email address of the user that deleted the reservation.operator_id(required)string— The user ID of the user that deleted the reservation.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"id": "",
"workspace_id": "",
"end_time": "",
"start_time": "",
"topic": "",
"reserve_for": "KDcuGIm1QgePTO8WbOqwIQ"
}
}
}Visitor_management.invitation_createdEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp when the event occurred.payload(required)objectaccount_id(required)string— The user account ID.object(required)object— Information about the created invitation.end_time(required)— The epoch timestamp representing end time of the invitation.
host_email(required)string— The email address of the invitation host.host_id(required)string— The user ID of the invitation host.host_name(required)string— The name of the invitation host.invitation_id(required)string— The invitation ID.invite_location_id(required)string— The location ID of the location to which the visitor is invited to.start_time(required)— The epoch timestamp representing the start time of the invitation.
visitor_email(required)string— The email address of the invited visitor.visitor_name(required)string— The name of the invited visitor.
operator(required)string, format:email— The email address of the user that created the invitation.operator_id(required)string— The user ID of the user that created the invitation.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"invitation_id": "",
"visitor_email": "",
"visitor_name": "",
"start_time": null,
"end_time": null,
"invite_location_id": "",
"host_id": "",
"host_name": "",
"host_email": ""
}
}
}Zoomroom.location_deletedEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp when the event occurred.payload(required)objectaccount_id(required)string— The account ID of the user who deleted the Zoom Rooms location.object(required)object— Information about the deleted location.id(required)string— The Zoom Rooms location's ID.name(required)string— The name of the deleted Zoom Rooms location.parent_location_id(required)string— This location's parent Zoom Rooms location ID.type(required)— The location type.
operator(required)string, format:email— The email address of the user that deleted the Zoom Rooms location.operator_id(required)string— The user ID of the user that deleted the Zoom Rooms location.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"id": "",
"name": "",
"parent_location_id": "",
"type": null
}
}
}Workspace.reservation_createdEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred.payload(required)objectaccount_id(required)string— The workspace account ID.object(required)object— Information about the workspace reservation.end_time(required)string, format:date-time— The reservation's end time.id(required)string— The reservation ID.start_time(required)string, format:date-time— The reservation's start time.topic(required)string— The reservation's description.workspace_id(required)string— The workspace ID.assignment_checkinboolean— Whether the assigned workspace is checked in.reserve_forstring— The ID of the user for whom to create a workspace reservation.
operator(required)string, format:email— The email address of the user that created the reservation.operator_id(required)string— The user ID of the user that created the reservation.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"id": "",
"workspace_id": "",
"end_time": "",
"start_time": "",
"topic": "",
"reserve_for": "",
"assignment_checkin": true
}
}
}Zoomroom.checked_outEvent
- Type:
object
[...]
